Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource.metadata
Interface FsIndexKeyDescription

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface FsIndexKeyDescription

extends MetaDataObject

A description of a key defining a CAS feature structure index. This implements `MetaDataObject`, which implements `XMLizable`, so it can be serialized to and deserialized from an XML element.

Field Summary
`static int` | `REVERSE_STANDARD_COMPARE` Comparator that orders FeatureStructures according to the reverse order of their key features (the opposite order as that defined by STANDARD_COMPARE.
`static int` | `STANDARD_COMPARE` Comparator that orders FeatureStructures according to the standard order of their key features.

Method Summary
`int` | `getComparator()` Gets the comparator for this key.
`String` | `getFeatureName()` Gets the name of the key's Feature.
`boolean` | `isTypePriority()` Gets whether this is a special "type priority" key.
`void` | `setComparator(int aComparator)` Sets the comparator for this key.
`void` | `setFeatureName(String aName)` Sets the name of the key's Feature.
`void` | `setTypePriority(boolean aTypePriority)` Gets whether this is a special "type priority" key.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Field Detail

### STANDARD_COMPARE

    static final int STANDARD_COMPARE

  Comparator that orders FeatureStructures according to the standard order of their key features. For integer and float values, this is the standard linear order, and for strings it is lexicographic order.

  See Also:
    Constant Field Values

### REVERSE_STANDARD_COMPARE

    static final int REVERSE_STANDARD_COMPARE

  Comparator that orders FeatureStructures according to the reverse order of their key features (the opposite order as that defined by STANDARD_COMPARE.

  See Also:
    Constant Field Values

Method Detail

### isTypePriority

    boolean isTypePriority()

  Gets whether this is a special "type priority" key. A type priority key indicates that the ordering of FeatureStructures in the index is based on the `TypePriorities` defined for that Analysis Engine.

  Type priority keys ignore any values assigned to the `featureName` and `comaprator` properties.

  Returns:
    true if and only if this is a type priority key

### setTypePriority

    void setTypePriority(boolean aTypePriority)

  Gets whether this is a special "type priority" key. A type priority key indicates that the ordering of FeatureStructures in the index is based on the `TypePriorities` defined for that Analysis Engine.

  Type priority keys ignore any values assigned to the `featureName` and `comaprator` properties.

  Parameters:
    `aTypePriority` - true if and only if this is a type priority key

### getFeatureName

    String getFeatureName()

  Gets the name of the key's Feature. FeatureStructures will be ordered in the index based on the value of this Feature.

  Returns:
    the name of this key's Feature

### setFeatureName

    void setFeatureName(String aName)

  Sets the name of the key's Feature. FeatureStructures will be ordered in the index based on the value of this Feature.

  Parameters:
    `aName` - the name of this key's Feature

### getComparator

    int getComparator()

  Gets the comparator for this key. This determines the ordering of FeatureStructures in the index. Valid values for this property are defined by constants on this interface.

  Returns:
    this key's comparator

### setComparator

    void setComparator(int aComparator)

  Sets the comparator for this key. This determines the ordering of FeatureStructures in the index. Valid values for this property are defined by constants on this interface.

  Parameters:
    `aComparator` - this key's comparator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.